Summary: System for layout and rendering of internationalized text
Name: pango-gtkbeta
Version: 0.13
Release: 4
License: LGPL
Group: System Environment/Libraries
Source: http://www.pango.org/download/pango-%{version}.tar.gz
BuildRoot: %{_tmppath}/pango-%{PACKAGE_VERSION}-root

# We need to prereq this so we can run pango-querymodules
Prereq: glib-gtkbeta >= 1.3.2
Obsoletes: fribidi-gtkbeta

%description
Pango is a system for layout and rendering of internationalized text.

%package devel
Summary:  System for layout and rendering of internationalized text
Group: Development/Libraries
Requires: pango-gtkbeta = %{PACKAGE_VERSION}
Requires: XFree86-devel
Obsoletes: fribidi-gtkbeta-devel

%description devel
The pango-gtkbeta-devel package includes the static libraries, header files
and developer docs for the pango-gtkbeta package.

Install pango-gtkbeta-devel if you want to develop programs which will use
pango.

%changelog
* Fri Feb 16 2001 Owen Taylor <otaylor@redhat.com>
- Obsolete fribidi-gtkbeta

* Mon Dec 11 2000 Havoc Pennington <hp@redhat.com>
- Remove that patch I just put in

* Mon Dec 11 2000 Havoc Pennington <hp@redhat.com>
- Patch pangox.pc.in to include -Iincludedir

* Fri Nov 17 2000 Owen Taylor <otaylor@redhat.com>
- final 0.13

* Tue Nov 14 2000 Owen Taylor <otaylor@redhat.com>
- New 0.13 tarball

* Mon Nov 13 2000 Owen Taylor <otaylor@redhat.com>
- 0.13pre1

* Sun Aug 13 2000 Owen Taylor <otaylor@redhat.com>
- Rename to 0.12b to avoid versioning problems

* Thu Aug 10 2000 Havoc Pennington <hp@redhat.com>
- Move to a CVS snapshot

* Fri Jul 07 2000 Owen Taylor <otaylor@redhat.com>
- Move back to /usr
- Version 0.12

* Mon Jun 19 2000  Owen Taylor <otaylor@redhat.com>
- Add missing %%defattr

* Thu Jun 8 2000  Owen Taylor <otaylor@redhat.com>
- Rebuild with a prefix of /opt/gtk-beta

* Wed May 31 2000 Owen Taylor <otaylor@redhat.com>
- version 0.11
- add --without-qt

* Wed Apr 26 2000 Owen Taylor <otaylor@redhat.com>
- Make the devel package require *-gtkbeta-* not the normal packages.

* Tue Apr 25 2000 Owen Taylor <otaylor@redhat.com>
- GTK+ snapshot version installing in /opt/gtk-beta

* Fri Feb 11 2000 Owen Taylor <otaylor@redhat.com>
- Created spec file

%prep
%setup -n pango-%{version}

%build
%configure --without-qt
make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%{_prefix}/bin/pango-querymodules > /etc/pango/pango.modules

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc README AUTHORS COPYING ChangeLog TODO
%doc examples/HELLO.utf8
%{_prefix}/lib/libpango*-*.so
%{_prefix}/bin/pango-querymodules
%{_prefix}/lib/pango/modules/*
%config /etc/pango/pangox.aliases

%files devel
%defattr(-, root, root)
%{_prefix}/lib/libpango*.so
%{_prefix}/bin/pango-config
%{_prefix}/lib/libpango*.a
%{_prefix}/include/*
%{_prefix}/lib/pkgconfig/*
%{_prefix}/share/gtk-doc/*
